package com.frontleaves.bungeecross.events;

import com.frontleaves.bungeecross.configuration.VariableStorage;
import net.md_5.bungee.api.event.ServerConnectedEvent;
import net.md_5.bungee.api.plugin.Listener;
import net.md_5.bungee.event.EventHandler;
import org.jetbrains.annotations.NotNull;

/**
 * 玩家登录服务器事件
 *
 * @author 筱锋xiao_lfeng
 * @version v1.0-SNAPSHOT
 * @since v1.0-SNAPSHOT
 */
public class PlayerJoinProxyEvent implements Listener {

    @EventHandler
    public void onPlayerJoinProxy(@NotNull ServerConnectedEvent event) {
        event.getPlayer().connect(VariableStorage.getProxyServer().get("login_1"));
    }
}
